C To convert the components of a vector from real to reciprocal
C   space and vice--versa
C This subroutine works for any crystal system.
C 
C Reference
C  Worked Examples in the Geometry of Crystals
C  by H. K. D. H. Bhadeshia
C  Published by the Institute of Materials, London, 1987.
C  The metric tensor is explained on page 22
C
      SUBROUTINE MAP_CRYSTAL_CONVERT(F,G,H,K,L,JR1,U,V,W)
      IMPLICIT NONE
C
C JR1 is 0 if vector defined in real space, 1 if in reciprocal space
C
C The metric tensor F converts the components from reciprocal to
C  real space. 
C The metric tensor G converts the components from real to reciprocal
C  space, and G is the inverse of F and vice-versa.
      REAL G(9),F(9),H,K,L,U,V,W
      INTEGER JR1
C
      IF(JR1 .EQ. 0) GOTO 10
         CALL MAP_UTIL_TRANS(F,H,K,L,U,V,W)
      GOTO 20
 10      CALL MAP_UTIL_TRANS(G,H,K,L,U,V,W)
C
 20   RETURN
      END
